Sponsored Adverts

Author Topic: Help with installing Blender 272b on machine (msvcr120.dll)  (Read 529 times)

0 Members and 1 Guest are viewing this topic.

Offline ACDmvmkr

  • Newbie
  • Posts: 44
Help with installing Blender 272b on machine (msvcr120.dll)
« on: January 29, 2018, 09:16:43 PM »
Hello;

In order to make use of the bake audio file to f-curve function, I have installed version 272b on my two computers.

It works fine on my little Toshiba laptop, but that is a slow and weaker computer. My big workhorse is an older Dell running Windows XP 32bit Home version, but it is much faster and more powerful than the newer more modern Toshiba, therefore it is preferable to get version 272b up and running on that machine as well.

After running the install program (called "blender-2.72b-windows32.exe"), it said that installation was completed successfully. However, whenever I try to start the program, it will not start up, giving me the immediate error tile saying; "Blender has encountered a problem and needs to close....blah blah blah, etc" and resulting in the screen display pictured below;



I'm also running Blender version 249b on this machine, which uses Python 262, I believe, but I also have Python 272 installed in a separate neighboring directory.

This screenshot shows my installation arrangement; the top Blender folder contains the 249b version, the bottom Blender272 folder contains the 272b version..... I tried to keep them separate. The two Python folders are contained in the main C:\ directory.



How can I get this running?

Thanks

Offline kat

  • Administrator
  • Hero Member
  • *
  • Posts: 2274
Re: Help with installing Blender 272b on machine
« Reply #1 on: January 30, 2018, 05:57:17 PM »
Based on the error, "msvcr120.dll", it looks like Windows XP/Blender is trying to access a missing or incompatible DLL file. In other words Blender 2.72b will have been compiled with a much more recent iteration of the msvcr120.dll than is available on XP so when started it looks for that same (or newer) version, if one isn't available the error is thrown up and the program stalls/crashes.

There does appear to be a way to fix this but as you're using Windows XP it's not clear if it'll work because it appears to reply on installing components from more recent versions of Microsoft VSRuntime Distributable which may not be compatible with XP.

P.S. it doesn't look like this is a Python issue, but Windows XP.

Tags:
 

Sponsored Adverts
RSS Content is copyright © KatsBits™ 2018 unless otherwise stated. All Rights Reserved.
No part of this web site may be reproduced (except for personal use, or otherwise stated) without prior written permission from KatsBits.com. For more infomation on copyright click here.
Web design cpdtAdvertisePrivacy PolicyDMCA (about DMCA) Home Store Workshops Blog Jobs Support About Katsbits Contact Site Search KatsBits Help Site Map RSS feed Forum YouTube FaceBook LinkedIn Twitter IMVU